%define name	egoboo
%define version	2.22
%define release 2mdk
%define summary Egoboo is a 3D dungeon crawling adventure in the spirit of NetHack.

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ego222.tar.bz2
Source1:	%{name}-icons.tar.bz2
#Modified debian patch
Patch0:		%{name}-shared.patch.bz2
License:	GPL
Group:		Games/Adventure
URL:		http://egoboo.sourceforge.net/
Summary:	%{summary}
BuildRequires:	libSDL-devel libMesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Egoboo ( Ee-go-boo ) is a 3D game, and
requires a 3D graphics card to play.  You can try
it in software mode, but that's yucky.  If you
have problems, change the SETUP.TXT file.
Egoboo is freeware, open source, but it ain't
finished and I'm done working on it.  Do with it
as you will ( think NetHack ).
	  

%prep
%setup -q -n %{name}
%patch0 -p1
#Insert line at end of file to get rid of warnings
perl -pi -e '$_.="\n" if eof' code/*.{c,h}

%build
%make DESTDIR=%{_prefix} BIN_PATH=%{_gamesbindir} SHARE_PATH=%{_gamesdatadir} FLAGS="-D_LINUX $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="soundwrapper %{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Adventure" \
		  title="Egoboo"\
		  longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc %{name}.txt CHANGELOG gpl.txt
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.22-2mdk
- Added libMesaGLU-devel to BuildRequires

* Thu Nov 19 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.22-1mdk
- First mdk-release
